io.milvus.bulkwriter

## Class LocalBulkWriterParam.Builder

- java.lang.Object
- - io.milvus.bulkwriter.LocalBulkWriterParam.Builder

- Enclosing class:
    LocalBulkWriterParam

      public static final class LocalBulkWriterParam.Builder
      extends java.lang.Object

  Builder for `LocalBulkWriterParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalBulkWriterParam` | `build()` Verifies parameters and creates a new `LocalBulkWriterParam` instance.
    `LocalBulkWriterParam.Builder` | `withChunkSize(int chunkSize)`
    `LocalBulkWriterParam.Builder` | `withCollectionSchema(@NonNull CollectionSchemaParam collectionSchema)` Sets the collection info.
    `LocalBulkWriterParam.Builder` | `withFileType(BulkFileType fileType)`
    `LocalBulkWriterParam.Builder` | `withLocalPath(@NonNull java.lang.String localPath)` Sets the localPath.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionSchema

          public LocalBulkWriterParam.Builder withCollectionSchema(@NonNull
                                                                   @NonNull CollectionSchemaParam collectionSchema)

      Sets the collection info.
      Parameters:
        `collectionSchema` - collection info
      Returns:
        `Builder`

    - #### withLocalPath

          public LocalBulkWriterParam.Builder withLocalPath(@NonNull
                                                            @NonNull java.lang.String localPath)

      Sets the localPath.
      Parameters:
        `localPath` - collection name
      Returns:
        `Builder`

    - #### withChunkSize

          public LocalBulkWriterParam.Builder withChunkSize(int chunkSize)

    - #### withFileType

          public LocalBulkWriterParam.Builder withFileType(BulkFileType fileType)

    - #### build

          public LocalBulkWriterParam build()
                                     throws ParamException

      Verifies parameters and creates a new `LocalBulkWriterParam` instance.
      Returns:
        `LocalBulkWriterParam`
      Throws:
        `ParamException`